public class FillVertex
{
  public int fLx, fLy, fLz, fLt;
  public int fWx, fWy, fWz, fWt;
  public int fSx, fSy;

  public FillVertex()
  {

  }

  public FillVertex(int lx, int ly, int lz)
  {
    fLx=lx;
    fLy=ly;
    fLz=lz;
    fLt=1;

    fWx=fWy=fWz=0;
    fWy=1;
    fSx=fSy=0;
  }

  public void SetLocal(int lx, int ly, int lz)
  {
    fLx=lx;
    fLy=ly;
    fLz=lz;
    fLt=1;

    fWx=fWy=fWz=0;
    fWt=1;
    fSx=fSy=0;
  }


  public void SetWorld(int wx, int wy, int wz)
  {
    fWx=wx;
    fWy=wy;
    fWz=wz;
  }

  public void SetScreen(int sx, int sy)
  {
    fSx=sx;
    fSy=sy;
  }
}
